> ## Documentation Index
> Fetch the complete documentation index at: https://docs.podcastor.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List image backgrounds

> List image Podcast backgrounds.

MCP tool: `podcast_list_image_backgrounds`. OAuth scope: `asset.read`.


## OpenAPI

````yaml api-reference/openapi.json GET /open/podcast/v1/image_backgrounds
openapi: 3.0.3
info:
  description: >-
    Atomic Podcast capabilities. Credits, tasks and assets are shared with the
    Web account and Space.
  title: Podcastor API
  version: 1.0.0
servers:
  - url: https://api-services.podcastor.ai
    description: Podcastor API
security: []
paths:
  /open/podcast/v1/image_backgrounds:
    get:
      tags:
        - Podcast
      summary: list image backgrounds
      description: List image Podcast backgrounds.
      operationId: podcast_list_image_backgrounds
      parameters:
        - in: query
          name: category
          schema:
            enum:
              - ALL
              - Upload
              - Generated
              - Characters
              - Elements
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/echo.JSON'
                  - properties:
                      data:
                        $ref: '#/components/schemas/vo.RippleBackgroundListResp'
                    type: object
          description: OK
      security:
        - ApiKey: []
components:
  schemas:
    echo.JSON:
      properties:
        cause:
          type: string
        code:
          type: integer
        data: {}
        details: {}
        msg:
          type: string
        rid:
          type: string
      type: object
    vo.RippleBackgroundListResp:
      properties:
        list:
          items:
            $ref: '#/components/schemas/vo.RippleBackgroundItem'
          type: array
      type: object
    vo.RippleBackgroundItem:
      properties:
        background:
          type: string
        category:
          type: string
        err_msg:
          type: string
        height:
          type: integer
        id:
          type: integer
        is_demo:
          type: boolean
        output_url:
          items:
            type: string
          type: array
        photo_info:
          $ref: '#/components/schemas/vo.TaskOfPhoto'
        photo_unique_id:
          type: string
        progress_desc:
          type: string
        width:
          type: integer
      type: object
    vo.TaskOfPhoto:
      properties:
        age:
          type: string
        avatar_library_id:
          description: avatar_library 表ID
          type: integer
        avatar_library_name:
          description: avatar_library 表名称
          type: string
        background:
          type: string
        base_photo_url:
          description: 基础图片（向后兼容）
          type: string
        detail:
          type: string
        gender:
          type: string
        model:
          type: integer
        number_of_images:
          type: integer
        origin:
          description: 人种
          type: string
        photo_real:
          type: boolean
        preset_style:
          type: string
        quality:
          type: string
        reference_images:
          description: 参考图列表
          items:
            $ref: '#/components/schemas/vo.ReferenceImageResp'
          type: array
        resolution:
          type: string
        talking_pose:
          type: string
      type: object
    vo.ReferenceImageResp:
      properties:
        key:
          description: 类型：face/appearance/background
          type: string
        url:
          description: 图片URL
          type: string
      type: object
  securitySchemes:
    ApiKey:
      in: header
      name: X-Api-Key
      type: apiKey

````